Bug 1140287 - CVE-2014-6268 kernel: xen: Mishandling of uninitialised FIFO-based event channel control blocks (xsa107) [fedora-all]
Summary: CVE-2014-6268 kernel: xen: Mishandling of uninitialised FIFO-based event chan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-6268
TreeView+ depends on / blocked
 
Reported: 2014-09-10 15:53 UTC by Petr Matousek
Modified: 2014-09-23 04:20 UTC (History)
4 users (show)

Fixed In Version: xen-4.4.1-2.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:20:11 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Matousek 2014-09-10 15:53:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2014-09-10 15:53:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1140280,1140287

# Description of your update
notes=Security fix for CVE-2014-6268

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1140280,1140287

Comment 2 Fedora Update System 2014-09-11 22:57:59 UTC
xen-4.4.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-10531/xen-4.4.1-2.fc21

Comment 3 Michael Young 2014-09-11 23:03:05 UTC
As this bug only affects xen-4.4 and later, Fedora 19 and Fedora 20 are not affected.

Comment 4 Fedora Update System 2014-09-23 04:20:11 UTC
xen-4.4.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.